Package org.springframework.web.servlet.view.freemarker

# Interface FreeMarkerConfig

All Known Implementing Classes:
  `FreeMarkerConfigurer`

public interface FreeMarkerConfig
Interface to be implemented by objects that configure and manage a FreeMarker `Configuration` object in a web environment.

Detected and used by `FreeMarkerView`.

Note: Spring's FreeMarker support requires FreeMarker 2.3.33 or higher.

Since:
  03.03.2004
Author:
  Darren Davison, Rob Harrop
See Also:
  - `FreeMarkerConfigurer`
  - `FreeMarkerView`

## Method Summary

Modifier and Type
Method
Description
`freemarker.template.Configuration`
`getConfiguration()`
Return the FreeMarker `Configuration` object for the current web application context.
`freemarker.ext.jakarta.jsp.TaglibFactory`
`getTaglibFactory()`
Return the `TaglibFactory` used to enable JSP tags to be accessed from FreeMarker templates.

## Method Details

### getConfiguration

freemarker.template.Configuration getConfiguration()
Return the FreeMarker `Configuration` object for the current web application context.

A FreeMarker `Configuration` object may be used to set FreeMarker properties and shared objects, and allows to retrieve templates.

Returns:
  the FreeMarker `Configuration`

### getTaglibFactory

freemarker.ext.jakarta.jsp.TaglibFactory getTaglibFactory()
Return the `TaglibFactory` used to enable JSP tags to be accessed from FreeMarker templates.